XmVaCreateButtonBox(3)

NAME
XmVaCreateButtonBox, XmVaCreateManagedButtonBox — A ButtonBox widget convenience creation functions.

SYNOPSIS

#include <Xm/ButtonBox.h>

Widget XmVaCreateButtonBox(
Widget parent,
String name,
...);

Widget XmVaCreateManagedButtonBox(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ButtonBox widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateButtonBox function is a convenience routine that calls XtCreateWidget.

The XmVaCreateManagedButtonBox function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ButtonBox and its associated resources, see XmButtonBox(3).

RETURN

Returns the ButtonBox widget ID.

RELATED

XmButtonBox(3), XmCreateButtonBox(3), XtCreateWidget(3), and XtCreateManagedWidget(3).